/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.domain.Attachment <br/>
 * @record
 */
function Attachment() { }
if (false) {
    /** @type {?|undefined} */
    Attachment.prototype.attachmentId;
    /** @type {?|undefined} */
    Attachment.prototype.category;
    /** @type {?|undefined} */
    Attachment.prototype.change;
    /** @type {?|undefined} */
    Attachment.prototype.created;
    /** @type {?|undefined} */
    Attachment.prototype.fepStatus;
    /** @type {?|undefined} */
    Attachment.prototype.file;
    /** @type {?|undefined} */
    Attachment.prototype.projectId;
    /** @type {?|undefined} */
    Attachment.prototype.taskId;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.domain.Budget <br/>
 * @record
 */
function Budget() { }
if (false) {
    /** @type {?|undefined} */
    Budget.prototype.amount;
    /** @type {?|undefined} */
    Budget.prototype.money;
    /**
     * @deprecated
     * @type {?|undefined}
     */
    Budget.prototype.time;
    /** @type {?|undefined} */
    Budget.prototype.unit;
    /** @type {?|undefined} */
    Budget.prototype.unitPrice;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.domain.Comment <br/>
 * @record
 */
function Comment() { }
if (false) {
    /** @type {?|undefined} */
    Comment.prototype.change;
    /** @type {?|undefined} */
    Comment.prototype.commentId;
    /** @type {?|undefined} */
    Comment.prototype.value;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.domain.CustomField <br/>
 * @record
 */
function CustomField() { }
if (false) {
    /** @type {?|undefined} */
    CustomField.prototype.name;
    /** @type {?|undefined} */
    CustomField.prototype.required;
    /** @type {?|undefined} */
    CustomField.prototype.type;
    /** @type {?|undefined} */
    CustomField.prototype.value;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.domain.FepStatus <br/>
 * @record
 */
function FepStatus() { }
if (false) {
    /** @type {?|undefined} */
    FepStatus.prototype.change;
    /**
     * 	values: WAITING_FOR_CONFIRMATION, CONFIRMED, REJECTED, NEW<br/>
     * @type {?|undefined}
     */
    FepStatus.prototype.status;
    /** @type {?|undefined} */
    FepStatus.prototype.userIds;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.domain.FinanceInfo <br/>
 * @record
 */
function FinanceInfo() { }
if (false) {
    /** @type {?|undefined} */
    FinanceInfo.prototype.organizationId;
    /** @type {?|undefined} */
    FinanceInfo.prototype.parentAccountName;
    /** @type {?|undefined} */
    FinanceInfo.prototype.scenarioNames;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.domain.Goals <br/>
 * @record
 */
function Goals() { }
if (false) {
    /** @type {?|undefined} */
    Goals.prototype.approach;
    /** @type {?|undefined} */
    Goals.prototype.goal;
    /** @type {?|undefined} */
    Goals.prototype.initialSituation;
    /** @type {?|undefined} */
    Goals.prototype.partialGoals;
    /** @type {?|undefined} */
    Goals.prototype.results;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.domain.NextStep <br/>
 * @record
 */
function NextStep() { }
if (false) {
    /** @type {?|undefined} */
    NextStep.prototype.dueDate;
    /** @type {?|undefined} */
    NextStep.prototype.info;
    /** @type {?|undefined} */
    NextStep.prototype.responsiblePartnerId;
    /** @type {?|undefined} */
    NextStep.prototype.taskId;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.domain.PartnerInfo <br/>
 * @record
 */
function PartnerInfo() { }
if (false) {
    /** @type {?|undefined} */
    PartnerInfo.prototype.companyName;
    /** @type {?|undefined} */
    PartnerInfo.prototype.email;
    /** @type {?|undefined} */
    PartnerInfo.prototype.firstName;
    /** @type {?|undefined} */
    PartnerInfo.prototype.lastName;
    /** @type {?|undefined} */
    PartnerInfo.prototype.partnerId;
    /** @type {?|undefined} */
    PartnerInfo.prototype.partnerType;
    /** @type {?|undefined} */
    PartnerInfo.prototype.shortName;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.domain.Project <br/>
 * @record
 */
function Project() { }
if (false) {
    /** @type {?|undefined} */
    Project.prototype.costScenarioIds;
    /** @type {?|undefined} */
    Project.prototype.customer;
    /** @type {?|undefined} */
    Project.prototype.head;
    /** @type {?|undefined} */
    Project.prototype.lead;
    /** @type {?|undefined} */
    Project.prototype.offerValidUntil;
    /**
     * 	values: lead,proposal,project<br/>
     * \@example lead
     * @type {?|undefined}
     */
    Project.prototype.phase;
    /** @type {?|undefined} */
    Project.prototype.roles;
    /**
     * \@example Fuer die Bearbeitung des Projektes wird eine Zeitdauer von 1 Monat angesetzt. Die Arbeiten koennen unmittelbar nach Beauftragung begonnen werden.
     * @type {?|undefined}
     */
    Project.prototype.timeFrame;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.domain.ProjectRole <br/>
 * @record
 */
function ProjectRole() { }
if (false) {
    /** @type {?|undefined} */
    ProjectRole.prototype.hourlyRate;
    /** @type {?|undefined} */
    ProjectRole.prototype.name;
    /** @type {?|undefined} */
    ProjectRole.prototype.roleId;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.domain.ProjectSheet <br/>
 * @record
 */
function ProjectSheet() { }
if (false) {
    /** @type {?|undefined} */
    ProjectSheet.prototype.budget;
    /** @type {?|undefined} */
    ProjectSheet.prototype.change;
    /** @type {?|undefined} */
    ProjectSheet.prototype.created;
    /** @type {?|undefined} */
    ProjectSheet.prototype.info;
    /** @type {?|undefined} */
    ProjectSheet.prototype.nextSteps;
    /** @type {?|undefined} */
    ProjectSheet.prototype.percentageOfCompletion;
    /** @type {?|undefined} */
    ProjectSheet.prototype.projectId;
    /** @type {?|undefined} */
    ProjectSheet.prototype.projectSheetId;
    /** @type {?|undefined} */
    ProjectSheet.prototype.reportDate;
    /**
     * 	values: green, yellow, red<br/>
     * \@example green
     * @type {?|undefined}
     */
    ProjectSheet.prototype.status;
    /**
     * 	values: internal, external<br/>
     * \@example internal
     * @type {?|undefined}
     */
    ProjectSheet.prototype.type;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.domain.Risk <br/>
 * @record
 */
function Risk() { }
if (false) {
    /** @type {?|undefined} */
    Risk.prototype.change;
    /** @type {?|undefined} */
    Risk.prototype.created;
    /** @type {?|undefined} */
    Risk.prototype.dueDate;
    /** @type {?|undefined} */
    Risk.prototype.mitigation;
    /** @type {?|undefined} */
    Risk.prototype.name;
    /**
     * 	values: low, medium, high<br/>
     * \@example low
     * @type {?|undefined}
     */
    Risk.prototype.probability;
    /** @type {?|undefined} */
    Risk.prototype.projectId;
    /** @type {?|undefined} */
    Risk.prototype.responsiblePartnerId;
    /** @type {?|undefined} */
    Risk.prototype.riskId;
    /**
     * 	values: low, medium, high<br/>
     * \@example low
     * @type {?|undefined}
     */
    Risk.prototype.severity;
    /**
     * 	values: open, closed<br/>
     * \@example closed
     * @type {?|undefined}
     */
    Risk.prototype.status;
    /** @type {?|undefined} */
    Risk.prototype.taskId;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.domain.Task <br/>
 * @record
 */
function Task() { }
if (false) {
    /** @type {?|undefined} */
    Task.prototype.actualBudget;
    /** @type {?|undefined} */
    Task.prototype.actualEndDate;
    /** @type {?|undefined} */
    Task.prototype.actualStartDate;
    /** @type {?|undefined} */
    Task.prototype.actualSubBudget;
    /** @type {?|undefined} */
    Task.prototype.assignedUserIds;
    /** @type {?|undefined} */
    Task.prototype.attachments;
    /** @type {?|undefined} */
    Task.prototype.change;
    /** @type {?|undefined} */
    Task.prototype.comments;
    /** @type {?|undefined} */
    Task.prototype.contactLogIds;
    /** @type {?|undefined} */
    Task.prototype.costCenterId;
    /** @type {?|undefined} */
    Task.prototype.created;
    /** @type {?|undefined} */
    Task.prototype.customFields;
    /** @type {?|undefined} */
    Task.prototype.financeInfo;
    /** @type {?|undefined} */
    Task.prototype.goals;
    /** @type {?|undefined} */
    Task.prototype.info;
    /** @type {?|undefined} */
    Task.prototype.organizationId;
    /** @type {?|undefined} */
    Task.prototype.parentId;
    /** @type {?|undefined} */
    Task.prototype.plannedBudget;
    /** @type {?|undefined} */
    Task.prototype.plannedEndDate;
    /** @type {?|undefined} */
    Task.prototype.plannedStartDate;
    /** @type {?|undefined} */
    Task.prototype.plannedSubBudget;
    /** @type {?|undefined} */
    Task.prototype.position;
    /** @type {?|undefined} */
    Task.prototype.projectId;
    /** @type {?|undefined} */
    Task.prototype.role;
    /** @type {?|undefined} */
    Task.prototype.status;
    /** @type {?|undefined} */
    Task.prototype.subTasks;
    /** @type {?|undefined} */
    Task.prototype.taskId;
    /** @type {?|undefined} */
    Task.prototype.type;
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.filter.AttachmentFilter <br/>
 * @record
 */
function AttachmentFilter() { }
if (false) {
    /** @type {?|undefined} */
    AttachmentFilter.prototype.category;
    /** @type {?|undefined} */
    AttachmentFilter.prototype.fepStatusFilter;
    /** @type {?|undefined} */
    AttachmentFilter.prototype.fileInfoFilter;
    /** @type {?|undefined} */
    AttachmentFilter.prototype.projectId;
    /** @type {?|undefined} */
    AttachmentFilter.prototype.taskId;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.filter.CommentFilter <br/>
 * @record
 */
function CommentFilter() { }
if (false) {
    /** @type {?|undefined} */
    CommentFilter.prototype.commentId;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.filter.FepStatusFilter <br/>
 * @record
 */
function FepStatusFilter() { }
if (false) {
    /** @type {?|undefined} */
    FepStatusFilter.prototype.statusList;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.filter.PartnerInfoFilter <br/>
 * @record
 */
function PartnerInfoFilter() { }
if (false) {
    /** @type {?|undefined} */
    PartnerInfoFilter.prototype.companyName;
    /** @type {?|undefined} */
    PartnerInfoFilter.prototype.email;
    /** @type {?|undefined} */
    PartnerInfoFilter.prototype.firstName;
    /** @type {?|undefined} */
    PartnerInfoFilter.prototype.lastName;
    /** @type {?|undefined} */
    PartnerInfoFilter.prototype.partnerId;
    /** @type {?|undefined} */
    PartnerInfoFilter.prototype.shortName;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.filter.ProjectFilter <br/>
 * @record
 */
function ProjectFilter() { }
if (false) {
    /** @type {?|undefined} */
    ProjectFilter.prototype.customerIds;
    /** @type {?|undefined} */
    ProjectFilter.prototype.partnerInfoFilter;
    /** @type {?|undefined} */
    ProjectFilter.prototype.phases;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.filter.ProjectSheetFilter <br/>
 * @record
 */
function ProjectSheetFilter() { }
if (false) {
    /** @type {?|undefined} */
    ProjectSheetFilter.prototype.info;
    /** @type {?|undefined} */
    ProjectSheetFilter.prototype.projectId;
    /** @type {?|undefined} */
    ProjectSheetFilter.prototype.projectSheetId;
    /** @type {?|undefined} */
    ProjectSheetFilter.prototype.reportDateRange;
    /** @type {?|undefined} */
    ProjectSheetFilter.prototype.statuses;
    /** @type {?|undefined} */
    ProjectSheetFilter.prototype.type;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.filter.RiskFilter <br/>
 * @record
 */
function RiskFilter() { }
if (false) {
    /** @type {?|undefined} */
    RiskFilter.prototype.dueDateRange;
    /** @type {?|undefined} */
    RiskFilter.prototype.mitigation;
    /** @type {?|undefined} */
    RiskFilter.prototype.name;
    /**
     * 	values: low, medium, high<br/>
     * \@example low
     * @type {?|undefined}
     */
    RiskFilter.prototype.probability;
    /** @type {?|undefined} */
    RiskFilter.prototype.projectId;
    /** @type {?|undefined} */
    RiskFilter.prototype.responsiblePartnerId;
    /** @type {?|undefined} */
    RiskFilter.prototype.riskId;
    /**
     * 	values: low, medium, high<br/>
     * \@example low
     * @type {?|undefined}
     */
    RiskFilter.prototype.severity;
    /** @type {?|undefined} */
    RiskFilter.prototype.taskId;
}
/**
 * \@generator rest2ts
 * 	javaType: inc.yukawa.tracker.base.core.filter.TaskFilter <br/>
 * @record
 */
function TaskFilter() { }
if (false) {
    /** @type {?|undefined} */
    TaskFilter.prototype.aggregateSubTasks;
    /** @type {?|undefined} */
    TaskFilter.prototype.assignedUserId;
    /** @type {?|undefined} */
    TaskFilter.prototype.fields;
    /** @type {?|undefined} */
    TaskFilter.prototype.headers;
    /** @type {?|undefined} */
    TaskFilter.prototype.id;
    /** @type {?|undefined} */
    TaskFilter.prototype.name;
    /** @type {?|undefined} */
    TaskFilter.prototype.noParent;
    /** @type {?|undefined} */
    TaskFilter.prototype.parentId;
    /** @type {?|undefined} */
    TaskFilter.prototype.projectId;
    /** @type {?|undefined} */
    TaskFilter.prototype.roleName;
    /** @type {?|undefined} */
    TaskFilter.prototype.shortName;
    /** @type {?|undefined} */
    TaskFilter.prototype.status;
    /** @type {?|undefined} */
    TaskFilter.prototype.types;
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
//# sourceMappingURL=yukawa-chain-tracker-angular-core.js.map
